Bug 1415425 - [abrt] PackageKit: parserCreate(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: parserCreate(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d2c69a8e493a58bf679435a7e39...
: 1422340 1428162 1442639 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 23:06 UTC by Jorge Martínez López
Modified: 2017-12-12 10:48 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:48:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.11 KB, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: core_backtrace (5.84 KB, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: dso_list (8.20 KB, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: environ (143 bytes, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: maps (38.14 KB, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: mountinfo (3.51 KB, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: open_fds (4.90 KB, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details
File: var_log_messages (13.32 KB, text/plain)
2017-01-21 23:07 UTC, Jorge Martínez López
no flags Details

Description Jorge Martínez López 2017-01-21 23:06:58 UTC
Version-Release number of selected component:
PackageKit-1.1.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: parserCreate
executable:     /usr/libexec/packagekitd
global_pid:     1466
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 parserCreate at lib/xmlparse.c:808
 #7 XML_ParserCreate_MM at lib/xmlparse.c:755
 #8 XML_ParserCreate at lib/xmlparse.c:680
 #9 lr_yum_repomd_parse_file at /usr/src/debug/librepo-librepo-1.7.18/librepo/repomd.c:513
 #10 lr_yum_use_local_load_base at /usr/src/debug/librepo-librepo-1.7.18/librepo/yum.c:597
 #11 lr_yum_use_local at /usr/src/debug/librepo-librepo-1.7.18/librepo/yum.c:680
 #12 lr_yum_perform at /usr/src/debug/librepo-librepo-1.7.18/librepo/yum.c:986
 #13 lr_handle_perform at /usr/src/debug/librepo-librepo-1.7.18/librepo/handle.c:1246
 #14 dnf_repo_check_internal at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/dnf-repo.c:1119
 #15 dnf_repo_check at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/dnf-repo.c:1238

Comment 1 Jorge Martínez López 2017-01-21 23:07:06 UTC
Created attachment 1243196 [details]
File: backtrace

Comment 2 Jorge Martínez López 2017-01-21 23:07:08 UTC
Created attachment 1243197 [details]
File: cgroup

Comment 3 Jorge Martínez López 2017-01-21 23:07:10 UTC
Created attachment 1243198 [details]
File: core_backtrace

Comment 4 Jorge Martínez López 2017-01-21 23:07:12 UTC
Created attachment 1243199 [details]
File: dso_list

Comment 5 Jorge Martínez López 2017-01-21 23:07:14 UTC
Created attachment 1243200 [details]
File: environ

Comment 6 Jorge Martínez López 2017-01-21 23:07:15 UTC
Created attachment 1243201 [details]
File: limits

Comment 7 Jorge Martínez López 2017-01-21 23:07:17 UTC
Created attachment 1243202 [details]
File: maps

Comment 8 Jorge Martínez López 2017-01-21 23:07:19 UTC
Created attachment 1243203 [details]
File: mountinfo

Comment 9 Jorge Martínez López 2017-01-21 23:07:21 UTC
Created attachment 1243204 [details]
File: namespaces

Comment 10 Jorge Martínez López 2017-01-21 23:07:23 UTC
Created attachment 1243205 [details]
File: open_fds

Comment 11 Jorge Martínez López 2017-01-21 23:07:25 UTC
Created attachment 1243206 [details]
File: proc_pid_status

Comment 12 Jorge Martínez López 2017-01-21 23:07:27 UTC
Created attachment 1243207 [details]
File: var_log_messages

Comment 13 youjinuser 2017-02-15 02:51:53 UTC
*** Bug 1422340 has been marked as a duplicate of this bug. ***

Comment 14 Lilicenco 2017-03-01 22:51:46 UTC
*** Bug 1428162 has been marked as a duplicate of this bug. ***

Comment 15 Gerasim 2017-04-16 22:21:59 UTC
*** Bug 1442639 has been marked as a duplicate of this bug. ***

Comment 16 Fedora End Of Life 2017-11-16 15:11:00 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:48:38 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.